/***
  *
  *	Compiler.h - bob compiler definitions
  *
  *	Original code: Copyright (c) 1991, by David Michael Betz.  All rights reserved
  *	Modifications and additions: Copyright  by Christopher E. Hyde, 1995
  *
  ***/

enum {
		// token definitions
	kNoToken = -1, kEOF = 0,

		// non-character tokens
	_kTokenMin = -64,

	kString = _kTokenMin, kIdentifier, kNumber,
	kClass, kStatic, kIf, kElse,
	kWhile, kReturn, kFor,
	kBreak, kContinue, kDo,
	kNew, kNil,

//	<=        ==      !=       >=
	kLE, kEQ, kNE, kGE,

//	<<           >>        &&        ||
	kSHL, kSHR, kAND, kOR,

//	++          --           +=              -=
	kINC, kDEC, kADDEQ, kSUBEQ,

//	*=              /=             %=            &=
	kMULEQ, kDIVEQ, kREMEQ, kANDEQ,

//	|=              ^=             <<=            >>=
	kOREQ, kXOREQ, kSHLEQ, kSHREQ,

//	::          ->  or .
	kCC, kMemRef,

	_kTokenLastPlus1,
	_kTokenMax = _kTokenLastPlus1 - 1,
	_kFirstKeyword = kClass,
	_kLastKeyword = kNil,
	kNumKeywords = _kLastKeyword - _kFirstKeyword + 1
};


inline void SaveToken (TToken t) {
	extern TToken pSaveTkn;
	pSaveTkn = t;
}

extern SInt32	gTokVal;		// token value
extern char*	gTokStr;		// token string
