/***
  *
  *	DialogUtilities.cp
  *
  *	Copyright (c) 1995, by Christopher E. Hyde.  All rights reserved
  *
  ***/

#ifndef __DIALOGS__
#include <Dialogs.h>
#endif

Handle			GetItemHandle	(DialogPtr d, short item);
void			SetItemHandle	(DialogPtr d, short item, Handle handle);
void			GetItemStr		(DialogPtr d, short item, Str255 s);
void			SetItemStr		(DialogPtr d, short item, ConstStr255Param s);
short			GetItemValue	(DialogPtr d, short item);
void			SetItemValue	(DialogPtr d, short item, short value);
bool			GetItemHilite	(DialogPtr d, short item);
void			SetItemHilite	(DialogPtr d, short item, bool flag);
void			SetItemEnable	(DialogPtr d, short item, bool flag);
bool			ToggleItem		(DialogPtr d, short item);
void			ClickItem		(DialogPtr d, short item, short part);
void			ClickItem		(DialogPtr d, short item);
void			SetItemIcon		(DialogPtr d, short item, short iconID);
pascal bool	KeyEquivFilter	(DialogPtr dlog, EventRecord* event, short* item);
void			InitKeyEquiv	(DialogPtr dlog, short rsrcID);
void			EndKeyEquiv		(DialogPtr dlog);


inline ControlHandle
GetItemControl (DialogPtr d, short item)
{
	return ControlHandle(GetItemHandle(d, item));
}


inline void
SetupUserItem (DialogPtr d, short item, UserItemProcPtr itemProc)
{
	SetItemHandle(d, item, Handle(itemProc));
}
